;		Downloaded from AutoIt.@ (www.autoit.at)
;		Title:		Vista.au3
;		Author:		FirePanther
;		Published:	04.03.10
;		Downloaded:	15.03.10
;		Type:		UDF

$Struct = DllStructCreate("int cxLeftWidth;int cxRightWidth;int cyTopHeight;int cyBottomHeight;")

; #FUNCTION#;===============================================================================
;
; Name...........: _Vista_ApplyGlass
; Description ...: Applys glass effect to a window
; Syntax.........: _Vista_ApplyGlass($hWnd, [$bColor)
; Parameters ....: $hWnd - Window handle:
;                  $bColor  - Background color
; Return values .: Success - No return
;                  Failure - Returns 0
; Author ........: James Brooks
; Modified.......:
; Remarks .......: Thanks to weaponx!
; Related .......:
; Link ..........;
; Example .......; Yes
;
;;==========================================================================================
Func _Vista_ApplyGlass($hWnd, $bColor = 0x400000)
    If @OSVersion <> "WIN_7" And "WIN_VISTA" Then
        MsgBox(16, "Mp3-Player", "Dieses Programm ist ausschlielich fr Windows Vista und Windows 7!")
        Exit
    Else
        GUISetBkColor($bColor); Must be here!
        $Ret = DllCall("dwmapi.dll", "long", "DwmExtendFrameIntoClientArea", "hwnd", $hWnd, "long*", DllStructGetPtr($Struct))
        If @Error Then
            Return 0
            SetError(1)
        Else
            Return $Ret
        EndIf
    EndIf
EndFunc  ;==>_Vista_ApplyGlass

; #FUNCTION#;===============================================================================
;
; Name...........: _Vista_ApplyGlassArea
; Description ...: Applys glass effect to a window area
; Syntax.........: _Vista_ApplyGlassArea($hWnd, $Area, [$bColor)
; Parameters ....: $hWnd - Window handle:
;                   $Area - Array containing area points
;                  $bColor  - Background color
; Return values .: Success - No return
;                  Failure - Returns 0
; Author ........: James Brooks
; Modified.......:
; Remarks .......: Thanks to monoceres!
; Related .......:
; Link ..........;
; Example .......; Yes
;
;;==========================================================================================
Func _Vista_ApplyGlassArea ($hWnd , $width , $height , $bColor = 0x000000)

			DllStructSetData($Struct, "cxLeftWidth", $width)
            DllStructSetData($Struct, "cxRightWidth", $width)
            DllStructSetData($Struct, "cyTopHeight", $height)
            DllStructSetData($Struct, "cyBottomHeight", $height)
            GUISetBkColor($bColor); Must be here!
            $Ret = DllCall("dwmapi.dll", "long*", "DwmExtendFrameIntoClientArea", "hwnd", $hWnd, "ptr", DllStructGetPtr($Struct))
            If @Error Then
                Return 0
            Else
                Return $Ret
            EndIf


EndFunc  ;==>_Vista_ApplyGlassArea